INTERPOLATEATCENTROI(3G)

NAME
interpolateAtCentroid - sample a varying at the centroid of a pixel

DECLARATION

float interpolateAtCentroid(float interpolant);

vec2 interpolateAtCentroid(vec2 interpolant);

vec3 interpolateAtCentroid(vec3 interpolant);

vec4 interpolateAtCentroid(vec4 interpolant);

PARAMETERS

interpolant
    Specifies the interpolant to be sampled at the pixel centroid.

DESCRIPTION

interpolateAtCentroid returns the value of the input varying interpolant sampled at a location inside both the pixel and the primitive being processed. The value obtained would be the value assigned to the input variable if declared with the centroid qualifier.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
interpolateAtCentroid | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

interpolateAtSample(), interpolateAtOffset()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group